Get list of audits
Get list of audits
Query Parameters
- filterUserIds string
Comma-separated list of user IDs to filter audits by
- filterUserGroupIds string
Comma-separated list of user group IDs; expanded to user IDs server-side
- severity string
Comma-separated severity values (e.g. 1,2,3,4)
- fq string[]
Pagination cursor tokens
- fromTime int64
Start time filter (Unix epoch seconds)
- toTime int64
End time filter (Unix epoch seconds)
- limit int32
Maximum number of audits to return
- offset int32
Number of audits to skip for pagination
- sortBy string
Field name to sort results by
- sortDir string
Sort direction (asc or desc)
Responses
- 200
- 400
- 500
Success
- application/json
- Schema
- Example (from schema)
Schema
audits object[]
List of audit records
auditId stringseverity stringPossible values: [
AUDITSEVERITY_NONE,AUDITSEVERITY_CRITICAL,AUDITSEVERITY_HIGH,AUDITSEVERITY_MEDIUM,AUDITSEVERITY_LOW]user object
userId int32userName stringcreatedTimeUtc int64entities object[]
entityType int32entityId int32entityName stringoperation object
operationMessage object
localizedMessages object[]
localeId int32localeText stringauditNotesCount int32- filterMatchCount int64
Total number of audits matching the filter, regardless of pagination
{
"audits": [
{
"auditId": "string",
"severity": "AUDITSEVERITY_NONE",
"user": {
"userId": 0,
"userName": "string"
},
"createdTimeUtc": 0,
"entities": [
{
"entityType": 0,
"entityId": 0,
"entityName": "string"
}
],
"operation": {
"operationMessage": {
"localizedMessages": [
{
"localeId": 0,
"localeText": "string"
}
]
}
},
"auditNotesCount": 0
}
],
"filterMatchCount": 0
}
Bad Request
Internal Server Error
Loading...